When you click on a tab on a Discovery dashboard, the URL should be updated to the link at the bottom of the page
Closed, ResolvedPublic3 Story Points

Description

Individual dashboard graphs, especially after choosing settings from the dropdown, cannot be linked to.

The link at the bottom always shows a link with a hash, but it always opens the same page http://discovery.wmflabs.org/maps , nor does it change if I pick an option from a drop down.

It would be great to be able to link to these dashboards in our reports and emails, without specifying to "click on the tab X and pick weekly from dropdown" :)

Yurik created this task.Oct 30 2015, 1:39 AM
Yurik updated the task description. (Show Details)
Yurik raised the priority of this task from to Needs Triage.
Yurik added subscribers: Yurik, Ironholds, Deskana, mpopov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2015, 1:39 AM

You filed the task with no projects

Yurik added a comment.Oct 30 2015, 2:02 AM

Ah yes, it was corrected even before your comment :) I do forget to set it sometimes.

Yurik, tasks should not be filed directly into the sprint unless you too would enjoy me arbitrarily changing your workload for the next couple of weeks without asking for Product Manager involvement ;)

Deskana renamed this task from Unable to link to individual dashboards to When you click on a tab on a Discovery dashboard, the URL should be updated to the link at the bottom of the page.Dec 10 2015, 9:09 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 10 2015, 9:09 PM

Changed the title somewhat, as it is possible to link to the dashboard, but it's not quite as easy as it could be. It would be nice if the URL updated when you click on the tabs.

Deskana moved this task from Needs triage to Analysis on the Discovery board.Dec 10 2015, 9:12 PM
Deskana triaged this task as Normal priority.
mpopov claimed this task.Dec 11 2015, 9:03 PM
mpopov edited a custom field.
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Change 258997 had a related patch set uploaded (by Bearloga):
Add JS for updating URL

https://gerrit.wikimedia.org/r/258997

Change 258997 merged by OliverKeyes:
Add JS for updating URL

https://gerrit.wikimedia.org/r/258997

Deskana closed this task as Resolved.Dec 16 2015, 6:11 AM

Works like a charm.